Debian Bug report logs - #628169
ITP: libsqlcipher -- Open source database encryption for SQLite

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "J.P. Lacerda" <jpaflacerda@gmail.com>

Date: Fri, 27 May 2011 20:06:05 UTC

Owned by: J.P. Lacerda <jpaflacerda@gmail.com>

Severity: wishlist

Fixed in version sqlcipher/2.1.1-1

Done: Hans-Christoph Steiner <hans@eds.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, J.P. Lacerda <jpaflacerda@gmail.com>:
Bug#628169; Package wnpp. (Fri, 27 May 2011 20:06:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "J.P. Lacerda" <jpaflacerda@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, J.P. Lacerda <jpaflacerda@gmail.com>. (Fri, 27 May 2011 20:06:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "J.P. Lacerda" <jpaflacerda@gmail.com>
To: submit@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: ITP: libsqlcipher -- Open source database encryption for SQLite
Date: Fri, 27 May 2011 21:03:56 +0100
Package: wnpp
Severity: wishlist
Owner: J.P. Lacerda <jpaflacerda@gmail.com>

* Package name     : libsqlcipher
  Version:         : 1.1.8
  Upstream Author  : Stephen Lombardo <sjlombardo@zetetic.net>
* URL              : http://sqlcipher.net
* License          : BSD License
  Programming Lang : C
  Description      : Open source database encryption for SQLite

SQLCipher is an SQLite extension that provides transparent 256-bit AES
encryption of database files. Pages are encrypted before being written
to disk and are decrypted when read back. Due to the small footprint and
great performance it’s ideal for protecting embedded application
databases and is well suited for mobile development.





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, J.P. Lacerda <jpaflacerda@gmail.com>:
Bug#628169; Package wnpp. (Fri, 30 Mar 2012 23:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hans-Christoph Steiner <hans@eds.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, J.P. Lacerda <jpaflacerda@gmail.com>. (Fri, 30 Mar 2012 23:30:03 GMT) Full text and rfc822 format available.

Message #10 received at 628169@bugs.debian.org (full text, mbox):

From: Hans-Christoph Steiner <hans@eds.org>
To: 628169@bugs.debian.org
Subject: progress?
Date: Fri, 30 Mar 2012 19:27:02 -0400
Any progress on this package?  I am interested in helping out.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, J.P. Lacerda <jpaflacerda@gmail.com>:
Bug#628169; Package wnpp. (Sun, 01 Apr 2012 03:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hans-Christoph Steiner <hans@eds.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, J.P. Lacerda <jpaflacerda@gmail.com>. (Sun, 01 Apr 2012 03:57:03 GMT) Full text and rfc822 format available.

Message #15 received at 628169@bugs.debian.org (full text, mbox):

From: Hans-Christoph Steiner <hans@eds.org>
To: 628169@bugs.debian.org
Subject: packaged
Date: Sat, 31 Mar 2012 23:52:59 -0400
I guess I jumped the gun a bit, I already have a working package on
SQLCipher 2.0.3 based on the sqlite3 package.  Hopefully I didn't get
duplicate work.  Here is my package:

http://anonscm.debian.org/gitweb/?p=collab-maint/sqlcipher.git

Also, they are on this PPA if you want to try binaries:
https://launchpad.net/~guardianproject/+archive/ppa/+packages




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 09 May 2013 20:06:23 GMT) Full text and rfc822 format available.

Reply sent to Hans-Christoph Steiner <hans@eds.org>:
You have taken responsibility. (Sat, 18 May 2013 13:03:18 GMT) Full text and rfc822 format available.

Notification sent to "J.P. Lacerda" <jpaflacerda@gmail.com>:
Bug acknowledged by developer. (Sat, 18 May 2013 13:03:18 GMT) Full text and rfc822 format available.

Message #22 received at 628169-close@bugs.debian.org (full text, mbox):

From: Hans-Christoph Steiner <hans@eds.org>
To: 628169-close@bugs.debian.org
Subject: Bug#628169: fixed in sqlcipher 2.1.1-1
Date: Sat, 18 May 2013 13:00:12 +0000
Source: sqlcipher
Source-Version: 2.1.1-1

We believe that the bug you reported is fixed in the latest version of
sqlcipher, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 628169@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hans-Christoph Steiner <hans@eds.org> (supplier of updated sqlcipher package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 17 Jan 2013 14:41:50 -0500
Source: sqlcipher
Binary: sqlcipher libsqlcipher0-dbg libsqlcipher0 libsqlcipher-dev
Architecture: source amd64
Version: 2.1.1-1
Distribution: experimental
Urgency: low
Maintainer: Hans-Christoph Steiner <hans@eds.org>
Changed-By: Hans-Christoph Steiner <hans@eds.org>
Description: 
 libsqlcipher-dev - SQLCipher development files
 libsqlcipher0 - SQLCipher shared library
 libsqlcipher0-dbg - SQLCipher debugging symbols
 sqlcipher  - Command line interface for SQLCipher
Closes: 628169
Changes: 
 sqlcipher (2.1.1-1) experimental; urgency=low
 .
   * Initial release. (Closes: #628169)
Checksums-Sha1: 
 de43faec718405c067c7e9ba12b2d347684224ed 2239 sqlcipher_2.1.1-1.dsc
 ad264493cf9546b2dfd86f1962a739b060a82700 4299273 sqlcipher_2.1.1.orig.tar.gz
 f49d0aabdc04fa024bb2ddbf195c4d466cc4f2f6 13366 sqlcipher_2.1.1-1.debian.tar.gz
 3517db9c696fdd7401fdeee1c8313ed99de8bf93 29652 sqlcipher_2.1.1-1_amd64.deb
 d1690bb419927f22a109db45ad3d9af3ce3fdc6a 904390 libsqlcipher0-dbg_2.1.1-1_amd64.deb
 34e56e67ba12cf5ac5a34d7526966e988a0783d6 376856 libsqlcipher0_2.1.1-1_amd64.deb
 1386d693044046b39548c3e6a0a6a6eba54b2361 503350 libsqlcipher-dev_2.1.1-1_amd64.deb
Checksums-Sha256: 
 f1e8a111faefa510649b5098223af58682462ce821982fb44a28f9a4e6696a34 2239 sqlcipher_2.1.1-1.dsc
 ba7fa5ee02fb24ae20c1fa2c5626cbe9895940a7a9ca227f5dc2c0549a7844cb 4299273 sqlcipher_2.1.1.orig.tar.gz
 a7cd7e52a58bb64be6fa5a43de27c180a439efdc3fcd16135966a57a9c3b23ba 13366 sqlcipher_2.1.1-1.debian.tar.gz
 ba0772a8cca833c1e3ce599f8b5af4326e21805e272f2357755cd82444d9a508 29652 sqlcipher_2.1.1-1_amd64.deb
 7df78453d3e8173c47b97b3b43c8fc8e7d9d4ab7badc8f72e987e24709ce3e05 904390 libsqlcipher0-dbg_2.1.1-1_amd64.deb
 031c9bf79113b63925759550318e6a7429bec20ca0c643f595696d441ad23918 376856 libsqlcipher0_2.1.1-1_amd64.deb
 39e36baa8f6ae374282633f60ee7c07c131c8c421d93fb0f920e82c830d97bd1 503350 libsqlcipher-dev_2.1.1-1_amd64.deb
Files: 
 63d91df70505d7ca035432ed1c84dcd0 2239 devel optional sqlcipher_2.1.1-1.dsc
 db987bad2a5ef6b2b2faee532e95ee46 4299273 devel optional sqlcipher_2.1.1.orig.tar.gz
 64e64b4e1131286ad3f6fcfa51a272d5 13366 devel optional sqlcipher_2.1.1-1.debian.tar.gz
 df795d6c9c7d1cbe19b399317936eab3 29652 database optional sqlcipher_2.1.1-1_amd64.deb
 8637cc2c71e5c79dbe67b2b99790bcf2 904390 debug extra libsqlcipher0-dbg_2.1.1-1_amd64.deb
 7737f5941248e44d1bebc7ea406d99f9 376856 libs standard libsqlcipher0_2.1.1-1_amd64.deb
 f5e4dc61805acbf6bb430ccb5293518a 503350 libdevel optional libsqlcipher-dev_2.1.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: GPGTools - http://gpgtools.org

iQIcBAEBCAAGBQJRi9qWAAoJEJ8P5Yc3S76BjxQP/R0ahXwiFrt3MoWkzg7yQ35X
CcocymuO+XiyvR75hwV0+xp8+qsIEZu2n1hpM4AKVisLkBUfZXDbYesQez5IJBpx
IeAsoWvtf8T5kndWq9NR3l/gpOeqFHp4oL4jG4yLZcWujY10z9S5cqoT8dGKr4V2
sYYHwLfa9D/v+O9DC+nzSJW8jm0fJ7rcjIlr1UIalBqlnzbjVbsdRwqmmctwns9y
6+Nq01ciPxCWP9sshs3iF9QzPPeH8DOQBh4Tf+3wHwOcO3WvlytWbdI2SC50IuJ+
1Nyu+FannuRgCKrJELn6wn4jCVVG2KbkiyWARx+PYgBQ5gtHLnlSTHfuygfU7/zL
3wQgWYUvx95g/z+51xRim71jjMwNm/hEuMMz9HcUpE14R2MSIJNxYMaklBbaMxxQ
oWtbkGYgHFdLTdkOpKoziBdADdDrIRTImnTLjH76ZOtHtkAOgkVuKFNzvzZAmU5t
TzRev3QcIOtMP4sx/A0HUoLkiWKzHevv/RBt0ylrz4aySyJD2+hchtnU7tiQdn1w
k26F4+4Wr4ha7ZlDix0g2DAiV3vYwmqXmKD94WCIwHrKmKoOrK0yqEOCRGVoIp6s
r91A8+sQEDvRDEujio449Ddfa10NGO0C7ZEQWe20yzNA3jU/0BQVaWbDHzFenycr
Q1/xQXt2hYs5d3JRa2UI
=BVPY
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 16 Jun 2013 07:35:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:42:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.